<!DOCTYPE html>
<html>
	
	<head>
		<meta charset="utf-8">
		<meta name="viewport" content="width=device-width, initial-scale=1">
		<title>HTML Tables and Forms</title>
	</head>
<body>
	<!-- "div" tag - creates a container element used to group a html elements -->
	<header>
		<h1>HTML Table and Forms</h1>
	</header>

	<main>
		<section>
			<h2>HTML Entities</h2>
			<p>
				<em>
					Reserved characters in HTML (e.g &lt; or &gt; or characters that can mix up with HTML code).
				</em>
			</p>
			<!-- Defines a HTML Table -->
			<!-- "border" attribute is used to set a visible border width -->
			<table border="1">
				<!-- Used to group table header content -->
				<thead>
					<!-- Defines a table row -->
					<tr>
						<!-- Defines a table header element -->
						<!-- "colspan" attribute defines the number of columns a table element will occupy -->
						<th colspan="2">Entity</th>	
						<th>Description</th>			
					</tr>
				</thead>
				<!-- Used to group table body content -->
				<tbody>
					<tr>
						<!-- Define a table data element -->
						<td>&lt;</td>
						<td>lt</td>
						<td>less than</td>
					</tr>
					<tr>
						<td>&gt;</td>
						<td>gt</td>
						<td>greater than</td>
					</tr>
					<tr>
						<td>&#8369;</td>
						<td>#8369</td>
						<td>peso sign</td>
					</tr>
					<tr>
						<td>&amp;</td>
						<td>amp</td>
						<td>ampersand</td>
					</tr>
					<tr>
						<td>&quot;</td>
						<td>quot</td>
						<td>double quotation mark</td>
					</tr>
					<tr>
						<td>&apos;</td>
						<td>apos</td>
						<td>single quotation mark (apostrophe)</td>
					</tr>
					<tr>
						<td>&ntilde;</td>
						<td>ntilde</td>
						<td>lower tilde</td>
					</tr>
					<tr>
						<td>&Ntilde;</td>
						<td>Ntilde</td>
						<td>upper tilde</td>
					</tr>

				</tbody>
				<!-- Used to group table footer content -->
				<tfoot>
					<tr>
						<th colspan="3">List of HTML Entities</th>
					</tr>
				</tfoot>
			</table> 
			
		</section>
		<section>
			<h2>HTML Forms</h2>
			<p>
				<em>
					Input elements make up a form.
				</em>
			</p>
			<!-- Create an HTML form to capture a user input -->
			<!-- "action" attribute is used to define where the information will be sent upon submission -->
			<form action="https://www.google.com">
				<!-- label and text input type -->
				<label for="full_name">Full Name: </label> <br>
				<input type="text" name="full_name" id="full_name" required autocomplete> <br>

				<!-- label and date input type -->
				<label for="birth_date">Birth Date: </label> <br>
				<input type="date" name="birth_date" id="birth_date" required> <br>

				<!-- label and number input type -->
				<label for="age">Age: </label> <br>
				<input type="number" name="age" id="age" required min="1" max="100"> <br>

				<!-- Create a dropdown menu -->
				<label for="gender">Gender: </label><br>
				<select name="gender" id="gender">
					<!-- Creates an option for the dropdown -->
					<option value=""></option>
					<option value="male">Male</option>
					<option value="female">Female</option>
					
				</select><br>

				<!-- Create a larger text input -->
				<label for="notes">Notes: </label> <br>
				<textarea name="notes" id="notes" rows="5"></textarea> <br>

				<!-- Create radio buttons input field -->
				<label> New User: </label> <br>

				<!-- "name" attribute should be the same for "related radio button" -->
				<input type="radio" name="new_user" id="user-type1" value="yes"> 
				<label for="user-type1">Yes</label>

				<input type="radio" name="new_user" id="user-type2" value="no"> 
				<label for="user-type1">No</label> <br>

				<!-- Create checkboxes for multiple choices -->
				<label>Roles: </label> <br>
				<input type="checkbox" name="role1" id="role1" value="developer">
				<label> Developer</label> <br>

				<input type="checkbox" name="role2" id="role2" value="student">
				<label> Student</label> <br>

				<input type="checkbox" name="role3" id="role3" value="manager">
				<label> Manager</label> <br>


				<!-- Form button -->
				<br>
				<button type="submit">Submit</button>
				<button type="reset">Reset</button>
			</form>
			
		</section>
		
	</main>
	

	
</body>
</html>